Package org.apache.commons.dbutils.handlers

# Class ScalarHandler<T>

java.lang.Object
org.apache.commons.dbutils.handlers.ScalarHandler<T>

Type Parameters:
  `T` - The type of the scalar

All Implemented Interfaces:
  `ResultSetHandler<T>`

public class ScalarHandler<T> extends Object implements ResultSetHandler<T>
`ResultSetHandler` implementation that converts one `ResultSet` column into an Object. This class is thread safe.

See Also:
  - `ResultSetHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScalarHandler()`
  Creates a new instance of ScalarHandler.
  `ScalarHandler(int columnIndex)`
  Creates a new instance of ScalarHandler.
  `ScalarHandler(String columnName)`
  Creates a new instance of ScalarHandler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `handle(ResultSet resultSet)`
  Returns one `ResultSet` column as an object via the `ResultSet.getObject()` method that performs type conversions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScalarHandler

    public ScalarHandler()
    Creates a new instance of ScalarHandler. The first column will be returned from `handle()`.

  - ### ScalarHandler

    public ScalarHandler(int columnIndex)
    Creates a new instance of ScalarHandler.
    Parameters:
      `columnIndex` - The index of the column to retrieve from the `ResultSet`.

  - ### ScalarHandler

    public ScalarHandler(String columnName)
    Creates a new instance of ScalarHandler.
    Parameters:
      `columnName` - The name of the column to retrieve from the `ResultSet`.

- ## Method Details

  - ### handle

    public T handle(ResultSet resultSet) throws SQLException
    Returns one `ResultSet` column as an object via the `ResultSet.getObject()` method that performs type conversions.
    Specified by:
      `handle` in interface `ResultSetHandler<T>`
    Parameters:
      `resultSet` - `ResultSet` to process.
    Returns:
      The column or `null` if there are no rows in the `ResultSet`.
    Throws:
      `SQLException` - if a database access error occurs
      `ClassCastException` - if the class datatype does not match the column type
    See Also:
      - `ResultSetHandler.handle(java.sql.ResultSet)`